A. If you get the error "The ODBC catalog stored procedures installed on server xxx are version x.xx.xxx, version yy.yyy.yyyy or later is required to ensure proper operation." then this is caused when the ODBC client code is upgraded and the server stored procedures are not. You can usually find a file called "INSTCAT.SQL" in your <nt>\system32 directory. Or you can download the latest drivers including this file from www.microsoft.com/data - they are part of the MDAC "product" which includes all odbc/rdo/ado/ole-db etc. database access drivers.

Run the INSTCAT.SQL file against the relevant SQL Server(s) using ISQL/ISQLW or any other query tool.